Subject: 23.0.90; Warning (server): Emacs server named "server" already running

From: "Roland Winkler" <[email-masked]>
Date: Thu, 19 Feb 2009 22:45:59 +0100

If I start a second emacs with the line (server-start) in the init
file, emacs pops up a *Warnings* buffer containing the message

Warning (server): Emacs server named "server" already running

It would be nice if emacs was a bit more descriptive here. The
reason for the warning could be that the user has overlooked that he
has started a second emacs session with (server-start) in the init
file, say one session from home and one from work. Also, the warning
could give some hints on where to search for further information for
dealing with this issue. If the warning is displayed in a separate
buffer that pops up (and not in the message area), it seems to me
that it could give a few more details for the nonexperts.

In GNU Emacs 23.0.90.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.12.9)
 of 2009-02-07 on lukas
Windowing system distributor `The X.Org Foundation', version 11.0.10502000